Package org.springframework.aot.hint

# Class RuntimeHints

java.lang.Object
org.springframework.aot.hint.RuntimeHints

public class RuntimeHints extends Object
Gather hints that can be used to optimize the application runtime.

Use of reflection can be recorded for individual members of a type, as well as broader member categories. Access to resources can be specified using patterns or the base name of a resource bundle.

Hints that require the need for Java serialization of proxies can be recorded as well.

Since:
  6.0
Author:
  Stephane Nicoll, Janne Valkealahti

## Constructor Summary

Constructors
Constructor
Description
`RuntimeHints()`

## Method Summary

Modifier and Type
Method
Description
`ReflectionHints`
`jni()`
Provide access to jni-based hints.
`ProxyHints`
`proxies()`
Provide access to proxy-based hints.
`ReflectionHints`
`reflection()`
Provide access to reflection-based hints.
`ResourceHints`
`resources()`
Provide access to resource-based hints.
`SerializationHints`
`serialization()`
Provide access to serialization-based hints.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RuntimeHints

public RuntimeHints()

## Method Details

### reflection

public ReflectionHints reflection()
Provide access to reflection-based hints.

Returns:
  reflection hints

### resources

public ResourceHints resources()
Provide access to resource-based hints.

Returns:
  resource hints

### serialization

public SerializationHints serialization()
Provide access to serialization-based hints.

Returns:
  serialization hints

### proxies

public ProxyHints proxies()
Provide access to proxy-based hints.

Returns:
  proxy hints

### jni

public ReflectionHints jni()
Provide access to jni-based hints.

Returns:
  jni hints